|  | Home | Documentation | wsdd__SigType Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
wsdd__SigType Struct Reference

"http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":SigType is a complexType. More...

`#include <wsdd.h>`

## Public Attributes

char * | Scheme
char * | KeyId
| Attribute "KeyId" of XSD type xs:base64Binary.
char * | Refs
| Attribute "Refs" of XSD type xs:IDREFS.
char * | Sig
| Attribute "Sig" of XSD type xs:base64Binary.

## Detailed Description

"http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":SigType is a complexType.

struct wsdd__SigType operations:

- wsdd__SigType* soap_new_wsdd__SigType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wsdd__SigType(struct soap*, wsdd__SigType*) default initialize members
- int soap_read_wsdd__SigType(struct soap*, wsdd__SigType*) deserialize from a source
- int soap_write_wsdd__SigType(struct soap*, wsdd__SigType*) serialize to a sink
- wsdd__SigType* soap_dup_wsdd__SigType(struct soap*, wsdd__SigType* dst, wsdd__SigType <em>src) returns deep copy of wsdd__SigType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wsdd__SigType(wsdd__SigType

) deep deletes wsdd__SigType data members, use only on dst after soap_dup_wsdd__SigType(NULL, wsdd__SigType *dst, wsdd__SigType *src) (use soapcpp2 -Ed)

## Member Data Documentation

## ◆ KeyId

char* wsdd__SigType::KeyId

Attribute "KeyId" of XSD type xs:base64Binary.

Optional attribute.

## ◆ Refs

char* wsdd__SigType::Refs

Attribute "Refs" of XSD type xs:IDREFS.

Required attribute.

## ◆ Scheme

char* wsdd__SigType::Scheme

Todo

  <any namespace="##other" minOccurs="0" maxOccurs="unbounded">

  Schema extensibility is user-definable. Consult the protocol documentation to change or insert declarations. Use wsdl2h option -x to remove this element. Use wsdl2h option -d for xsd__anyType DOM (soap_dom_element): wsdl2h maps xsd:any to xsd__anyType, use typemap.dat to remap. Attribute "Scheme" of XSD type xs:anyURI.

Required attribute.

## ◆ Sig

char* wsdd__SigType::Sig

Attribute "Sig" of XSD type xs:base64Binary.

Required attribute.

The documentation for this struct was generated from the following file:

- wsdd.h